> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# コミュニティ検索

> キーワードでコミュニティを検索する

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Communities Search エンドポイントを使用すると、キーワードでコミュニティを検索できます。これにより、関心のあるトピックに関連するコミュニティを見つけることができます。

<div id="overview">
  ## 概要
</div>

<CardGroup cols={2}>
  <Card title="キーワード検索" icon="magnifying-glass">
    名前や説明でCommunitiesを検索する
  </Card>

  <Card title="見つける" icon="users-rectangle">
    参加するCommunitiesを見つける
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## エンドポイント
</div>

| Method | Endpoint                                                            | Description |
| :----- | :------------------------------------------------------------------ | :---------- |
| GET    | [`/2/communities/search`](/ja/x-api/communities/search-communities) | コミュニティを検索する |

***

<div id="parameters">
  ## パラメーター
</div>

| Parameter          | Description         |
| :----------------- | :------------------ |
| `query`            | 検索クエリ (必須)          |
| `max_results`      | 1ページあたりの結果数 (最大100) |
| `community.fields` | Community の追加フィールド  |

***

<div id="getting-started">
  ## リクエストの例
</div>

```bash theme={null}
curl "https://api.x.com/2/communities/search?\
query=Python&\
max_results=10&\
community.fields=name,description,member_count" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

## はじめに

<Note>
  **前提条件**

  * 承認済みの[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 開発者コンソール内の[Project と App](/ja/resources/fundamentals/developer-apps)
  * App の[キーとトークン](/ja/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="Communities の取得" icon="users-rectangle" href="/ja/x-api/communities/lookup/introduction">
    ID から Communities を取得
  </Card>

  <Card title="APIリファレンス" icon="code" href="/ja/x-api/communities/search-communities">
    エンドポイントの詳細なドキュメント
  </Card>
</CardGroup>
